@if "%DEBUG%" == "" @echo off
@rem ##########################################################################
@rem
@rem  syncany startup script for Windows
@rem
@rem ##########################################################################

@rem Set local scope for the variables with windows NT shell
if "%OS%"=="Windows_NT" setlocal

@rem Add default JVM options here. You can also use JAVA_OPTS and SYNCANY_OPTS to pass JVM options to this script.
set DEFAULT_JVM_OPTS="-Xmx1024m" "-Dfile.encoding=utf-8"

set DIRNAME=%~dp0
if "%DIRNAME%" == "" set DIRNAME=.
set APP_BASE_NAME=%~n0
set APP_HOME=%DIRNAME%..

@rem Find java.exe
if defined JAVA_HOME goto findJavaFromJavaHome

set JAVA_EXE=java.exe
%JAVA_EXE% -version >NUL 2>&1
if "%ERRORLEVEL%" == "0" goto init

echo.
echo ERROR: JAVA_HOME is not set and no 'java' command could be found in your PATH.
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:findJavaFromJavaHome
set JAVA_HOME=%JAVA_HOME:"=%
set JAVA_EXE=%JAVA_HOME%/bin/java.exe

if exist "%JAVA_EXE%" goto init

echo.
echo ERROR: JAVA_HOME is set to an invalid directory: %JAVA_HOME%
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:init
@rem Get command-line arguments, handling Windowz variants

if not "%OS%" == "Windows_NT" goto win9xME_args
if "%@eval[2+2]" == "4" goto 4NT_args

:win9xME_args
@rem Slurp the command line arguments.
set CMD_LINE_ARGS=
set _SKIP=2

:win9xME_args_slurp
if "x%~1" == "x" goto execute

set CMD_LINE_ARGS=%*
goto execute

:4NT_args
@rem Get arguments from the 4NT Shell from JP Software
set CMD_LINE_ARGS=%$

:execute
@rem Setup the command line

set CLASSPATH=%APP_HOME%\lib\*;%APP_HOME%\lib\syncany-cli-0.1.1-alpha.jar;%APP_HOME%\lib\syncany-lib-0.1.1-alpha.jar;%APP_HOME%\lib\syncany-util-0.1.1-alpha.jar;%APP_HOME%\lib\syncany-plugin-ftp-0.1.1-alpha.jar;%APP_HOME%\lib\syncany-plugin-webdav-0.1.1-alpha.jar;%APP_HOME%\lib\jopt-simple-4.5.jar;%APP_HOME%\lib\commons-io-2.4.jar;%APP_HOME%\lib\bcprov-ext-jdk15on-1.50.jar;%APP_HOME%\lib\simple-xml-2.7.1.jar;%APP_HOME%\lib\guava-15.0.jar;%APP_HOME%\lib\commons-codec-1.8.jar;%APP_HOME%\lib\reflections-0.9.8.jar;%APP_HOME%\lib\hsqldb-2.3.1.jar;%APP_HOME%\lib\commons-net-2.2.jar;%APP_HOME%\lib\sardine-5.0.1.jar;%APP_HOME%\lib\stax-api-1.0.1.jar;%APP_HOME%\lib\stax-1.2.0.jar;%APP_HOME%\lib\xpp3-1.1.3.3.jar;%APP_HOME%\lib\javassist-3.12.1.GA.jar;%APP_HOME%\lib\dom4j-1.6.1.jar;%APP_HOME%\lib\httpclient-4.2.4.jar;%APP_HOME%\lib\httpcore-4.2.4.jar;%APP_HOME%\lib\commons-logging-1.1.2.jar;%APP_HOME%\lib\xml-apis-1.0.b2.jar;%APP_HOME%\lib\slf4j-api-1.7.5.jar

@rem Execute syncany
"%JAVA_EXE%" %DEFAULT_JVM_OPTS% %JAVA_OPTS% %SYNCANY_OPTS%  -classpath "%CLASSPATH%" org.syncany.Syncany %CMD_LINE_ARGS%

:end
@rem End local scope for the variables with windows NT shell
if "%ERRORLEVEL%"=="0" goto mainEnd

:fail
rem Set variable SYNCANY_EXIT_CONSOLE if you need the _script_ return code instead of
rem the _cmd.exe /c_ return code!
if  not "" == "%SYNCANY_EXIT_CONSOLE%" exit 1
exit /b 1

:mainEnd
if "%OS%"=="Windows_NT" endlocal

:omega
